asn1-encoding-0.9.5: ASN1 data reader and writer in RAW, BER and DER forms

License | BSD-style
Maintainer | Vincent Hanquez <vincent@snarc.org>
Stability | experimental
Portability | unknown
Safe Haskell | None
Language | Haskell2010

Data.ASN1.BinaryEncoding

Description

A module containing ASN1 BER and DER specification encoding/decoding.

Synopsis

- data BER = BER
- data DER = DER

# Documentation

data BER #

Basic Encoding Rules (BER)

Constructors

BER |

Instances

ASN1DecodingRepr BER # |
Methods decodeASN1Repr :: BER -> ByteString -> Either ASN1Error [ASN1Repr] #
ASN1Decoding BER # |
Methods decodeASN1 :: BER -> ByteString -> Either ASN1Error [ASN1] #

data DER #

Distinguished Encoding Rules (DER)

Constructors

DER |

Instances

ASN1Encoding DER # |
Methods encodeASN1 :: DER -> [ASN1] -> ByteString #
ASN1DecodingRepr DER # |
Methods decodeASN1Repr :: DER -> ByteString -> Either ASN1Error [ASN1Repr] #
ASN1Decoding DER # |
Methods decodeASN1 :: DER -> ByteString -> Either ASN1Error [ASN1] #